Page MenuHomePhabricator

Add placeholders to Lexicographical Data UI
Closed, ResolvedPublic

Description

All input fields of the Lexicographical Data are blank rectangles, so there is no way of knowing what is expected to be written in each of them: a language code, the name of a language, a word or phrase, an item, a property, another lexeme or form, etc.

Apart from using other resources like suggestions in the case of the item data type and question marks for help, some placeholders in light gray should be added. Placeholders are already used for properties.

Event Timeline

abian created this task.May 24 2018, 9:41 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 24 2018, 9:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
abian renamed this task from Lexicographical Data UI should inform users of what value type is expected in each field to Lexicographical Data UI should inform users of what kind of value is expected in each field.May 24 2018, 9:42 AM
abian renamed this task from Lexicographical Data UI should inform users of what kind of value is expected in each field to Add placeholders to Lexicographical Data UI.May 24 2018, 10:29 AM
Vvjjkkii renamed this task from Add placeholders to Lexicographical Data UI to vdcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from vdcaaaaaaa to Add placeholders to Lexicographical Data UI.Jul 1 2018, 6:02 PM
Vachovec1 lowered the priority of this task from High to Medium.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added a subscriber: Aklapper.
Lydia_Pintscher closed this task as Resolved.Jul 13 2018, 4:49 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Looking at the current state I think we can close this.

  • grammatical feature now has a placeholder text
  • spelling variant of the Form will be pre-filled so people should not see an empty field
  • spelling variant of the Lemma should be pre-filled by Special:NewLexeme or bot/tool so should also not be seen empty unless you add a new Lemma. And in this case you have the pattern to follow from the existing Lemma
  • Representation and Lemma fields I am not sure we can meaningfully give a placeholder text in the space they have now. Will look at this again once we have polished the design.